#
# spec file for package SuSEfirewall2 (Version 3.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         SuSEfirewall2
Version:      3.1
Release:      310.3
License:      GPL
Group:        Productivity/Networking/Security
Requires:     lsof iptables
Provides:     personal-firewall SuSEfirewall
Obsoletes:    personal-firewall SuSEfirewall
PreReq:       %fillup_prereq %insserv_prereq /bin/sed textutils fileutils grep filesystem
Summary:      Stateful packetfilter using iptables and netfilter
Source:       SuSEfirewall2-%{version}.tar.bz2
Source1:      SuSEfirewall2-autointerface.sh
Patch1:       SuSEfirewall2-3.1.no-rmmod.diff
Patch2:       SuSEfirewall2-3.1.newrc.diff
Patch16:      SuSEfirewall2-3.1.support26.diff
Patch20:      SuSEfirewall2-3.1.FW_SERVICES_QUICK.diff
Patch21:      SuSEfirewall2-3.1.services-noext.diff
Patch23:      SuSEfirewall2-3.1.fix-masqsplit.diff
Patch25:      SuSEfirewall2-3.1.fix-parse-bcast.diff
Patch27:      SuSEfirewall2-3.1.fix-log-inc-hprt.diff
Patch30:      SuSEfirewall2-3.1.personal-firewall-compat.diff
Patch32:      SuSEfirewall2-3.1.fix_custom_before_port_pos.diff
Patch35:      SuSEfirewall2-3.1.fix_QUICKMODE_MASQ.diff
Patch40:      SuSEfirewall2-3.1-sysconf-metadata.diff
Patch42:      SuSEfirewall2-3.1-htb.diff
Patch46:      SuSEfirewall2-3.1-close-ipv6.diff
Patch48:      SuSEfirewall2-3.1-antispoof-fix.diff
Patch50:      SuSEfirewall2-3.1-nonamedwarn.diff
Patch52:      SuSEfirewall2-3.1-newlog.diff
Patch53:      SuSEfirewall2-auto.diff
Patch54:      SuSEfirewall2-noantispoof.diff
Patch55:      SuSEfirewall2-highports.diff
Patch56:      SuSEfirewall2-ipsec.diff
Patch57:      SuSEfirewall2-3.1-rpcserver.diff
Patch58:      SuSEfirewall2-getcfg.diff
BuildArchitectures: noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
SuSEfirewall2 implements a packetfilter to allow system administrators
to protect their computer and network by restricting the possibility of
other hosts connecting to them. This potentially saves you from
suffering under the design flaws and vulnerabilties that are found in
various daemons.

SuSEfirewall2 uses the iptables/netfilter packet filtering
infrastructure which allows a flexible rule setup and the creation of a
stateful firewall, as it keeps track of connections and has the notion
of related connections.

For simply protecting a single host from attacks, you can set
SuSEfirewall2 in QUICK mode or use the personal-firewall configuration
file. Note that SuSEfirewall2 nowadays does include the
personal-firewall functionality.



Authors:
--------
    Marc Heuse <marc@suse.de>

%prep
%setup -n SuSEfirewall2-%{version}
%patch1 -p1
%patch2 -p1
%patch16 -p1
%patch20 -p1
%patch21 -p1
%patch23 -p1
%patch25 -p1
%patch27 -p1
%patch30 -p1
%patch32 -p1
%patch35 -p1
%patch40 -p1
%patch42 -p1
%patch46 -p1
%patch48 -p1
%patch50 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1

%build
#make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/etc/init.d
install -d -m 755 %{buildroot}/sbin
install -d -m 755 %{buildroot}/usr/sbin
install -d -m 755 %{buildroot}/var/log
install -d -m 755 %{buildroot}/var/adm/fillup-templates/
install -d -m 755 %{buildroot}/etc/sysconfig/scripts
install -m 755 SuSEfirewall2 %{buildroot}/sbin/
install -m 644 SuSEfirewall2.sysconfig %{buildroot}/var/adm/fillup-templates/sysconfig.SuSEfirewall2
install -m 644 SuSEfirewall2-custom.sysconfig %{buildroot}/etc/sysconfig/scripts/SuSEfirewall2-custom
install -m 755 %{S:1} %{buildroot}/etc/sysconfig/scripts
install -m 644 sysconfig-personal-firewall %{buildroot}/var/adm/fillup-templates/sysconfig.personal-firewall
install -m 755 SuSEfirewall2_init  %{buildroot}/etc/init.d/
install -m 755 SuSEfirewall2_setup %{buildroot}/etc/init.d/
install -m 755 SuSEfirewall2_final %{buildroot}/etc/init.d/
ln -sf /etc/init.d/SuSEfirewall2_setup %{buildroot}/sbin/rcSuSEfirewall2

%files
%defattr(-, root, root)
%doc CHANGES TODO LICENCE EXAMPLES FAQ README
%doc SuSEfirewall2.sysconfig SuSEfirewall2.sysconfig.EXAMPLE
%config(noreplace) /etc/sysconfig/scripts/SuSEfirewall2-custom
%config /etc/init.d/SuSEfirewall2_init
%config /etc/init.d/SuSEfirewall2_setup
%config /etc/init.d/SuSEfirewall2_final
/etc/sysconfig/scripts/SuSEfirewall2-autointerface.sh
/sbin/rcSuSEfirewall2
/sbin/SuSEfirewall2
/var/adm/fillup-templates/sysconfig.SuSEfirewall2
/var/adm/fillup-templates/sysconfig.personal-firewall

%postun
%insserv_cleanup

%post
# rename old config file
if test -e etc/rc.config.d/firewall2.rc.config -a ! -e etc/sysconfig/SuSEfirewall2; then
  sed 's#etc/rc.config.d/firewall2-custom.rc.config#etc/sysconfig/scripts/SuSEfirewall2-custom#' \
  < etc/rc.config.d/firewall2.rc.config > etc/sysconfig/SuSEfirewall2
  mv etc/rc.config.d/firewall2.rc.config etc/rc.config.d/firewall2.rc.config.rpmsave
fi
# save custom script
if test -e etc/rc.config.d/firewall2-custom.rc.config; then
  mv etc/rc.config.d/firewall2-custom.rc.config etc/rc.config.d/firewall2-custom.rc.config.rpmorig
  if test -e etc/sysconfig/scripts/SuSEfirewall2-custom; then
    mv -f etc/sysconfig/scripts/SuSEfirewall2-custom etc/sysconfig/scripts/SuSEfirewall2-custom.rpmnew
  fi
  sed 's#etc/rc.config.d/firewall2-custom.rc.config#etc/sysconfig/scripts/SuSEfirewall2-custom#' \
   < etc/rc.config.d/firewall2-custom.rc.config.bak > etc/sysconfig/scripts/SuSEfirewall2-custom
fi
%{remove_and_set -n SuSEfirewall2 FW_LOG}
%{fillup_and_insserv -s SuSEfirewall2_init START_FW2 SuSEfirewall2_setup START_FW2 SuSEfirewall2_final START_FW2}
if [ -f etc/sysconfig/personal-firewall ]; then
    a=`grep ^REJECT_ALL_INCOM etc/sysconfig/personal-firewall `
    grep -v ^REJECT_ALL_INCOM var/adm/fillup-templates/sysconfig.personal-firewall \
	> etc/sysconfig/personal-firewall
    echo "$a" >> etc/sysconfig/personal-firewall
else
%{fillup_only -n personal-firewall}
fi
if [ "x$FW_LOG" != "xno" -a "x$FW_LOG" != "x--log-level warning --log-tcp-options --log-ip-option --log-prefix SuSE-FW" ]; then
	cat >var/adm/notify/messages/SuSEfirewall2_update_FW_LOG << _END_
Dear sysadmin,
FW_LOG in /etc/sysconfig/SuSEfirewall2 has been changed to an
empty string which means default logging options will used by
SuSEfirewall2. The change was necessary since the previous log
prefix was too long. Please verify that the configuration still
works. Your custom setting was:
FW_LOG="$FW_LOG"
Yours,
	SuSE Security Team
_END_
fi
cat >var/adm/notify/messages/SuSEfirewall2_update << _END_
Dear sysadmin,
Congratulations to your installation of / update to %{name}-%{version}.
Please have a look at the firewall2 configuration file in
/etc/sysconfig/SuSEfirewall2 and edit it according to your needs
before you start SuSEfirewall2. Please note that the config file has been
moved.
If you have SuSEfirewall (the old one) running, you need to stop that one
before (rcSuSEfirewall stop) starting 
SuSEfirewall2.
Formerly, the postinstall script of SuSEfirewall2 automatically added an entry
kern.*		-/var/log/firewall
to your /etc/syslog.conf file to send firewall related syslog message into
the /var/log/firewall file. This is not done any longer. Add this line
yourself if you like.
Please note that FW_SERVICE_DNS, _DHCPD, _SQUID and _SAMBA,
as well as FW_SERVICE_AUTODETECT have four possible values now:
  * no: not open (unchanged)
  * yes: open to internal networks (formerly: to all)
  * dmz: open to internal and DMZ networks (new)
  * ext: open to everywhere (new, corresponds to old yes)
This improves security, but when upgrading you might need to change some 
old yes to dmz or even ext. _DHCLIENT still has the old behaviour (yes=ext).
Documentation about SuSEfirewall2 can be found in the directory
 %{_docdir}/SuSEfirewall2/
Yours,
	SuSE Security Team
_END_
exit 0

%clean
rm -rf %{buildroot}

%changelog -n SuSEfirewall2
* Wed May 05 2004 - lnussel@suse.de
- make masquerading work when external interface is set to "auto" (#39914)
* Wed Mar 31 2004 - lnussel@suse.de
- use getcfg-interface to support config names in FW_DEV_EXT, FW_DEV_INT, FW_DEV_DMZ,
  FW_MASQ_DEV and FW_HTB_TUNE_DEV (#37643).
* Tue Mar 16 2004 - lnussel@suse.de
- replace FW_LOG in sysconfig file with default value and send a notify mail to
  root (#36066)
- getconfig-interface was renamed to getcfg-interface, so call that one in
  SuSEfirewall2-autointerface.sh (#36067)
* Thu Feb 26 2004 - lnussel@suse.de
- determine dynamic portnumbers for RPC services to be able to run e.g. an nfs
  server in a firewalled zone (SuSEfirewall2-3.1-rpcserver.diff, #32033)
* Mon Feb 16 2004 - lnussel@suse.de
- allow IPsec packets to be trusted (SuSEfirewall2-ipsec.diff)
* Mon Feb 16 2004 - lnussel@suse.de
- allow to change IPv6 policy independent of IPv4
  (SuSEfirewall2-3.1-close-ipv6.diff).
- change handling of broadcasts. Allow them on interal interfaces
  per default (SuSEfirewall2-noantispoof.diff).
- rely on rp_filter instead of generating anti-spoofing rules
  (SuSEfirewall2-noantispoof.diff).
- optional automatic detection of external and internal interface
  (SuSEfirewall2-auto.diff).
- use stateful filtering to allow related incoming tcp and udp
  packets on any port (SuSEfirewall2-highports.diff).
- update SuSEfirewall2-3.1-newlog.diff: don't add logging options in
  sysconfig file but instead use default if empty.
* Fri Feb 06 2004 - lnussel@suse.de
- clean up spec file
- get rid of compatability stuff for <= 8.0
- build as user
- merge some patches
- install files with less paranoid permissions
* Mon Jan 12 2004 - ug@suse.de
- static quantum added in the HTB patch to avoid a
  warning about a too small quantum calculated automatically
- deleting qdisc before creating new one to avoid
  warning on second start with no stop in-between
* Fri Oct 24 2003 - garloff@suse.de
- Use logging prefixes with more information.
* Fri Oct 24 2003 - garloff@suse.de
- Don't use REJECT target for IPv6.
* Fri Oct 24 2003 - garloff@suse.de
- #32032: When closing down IPv6, we do a bit too much. As local
  host resolves to ::1, we should allow traffic on lo to not break
  mozilla.
- #30789: Disable warning about not running named. named does only
  need port 53 in many configs and then the warning is bogus.
* Sat Sep 20 2003 - garloff@suse.de
- #27661: Close down IPv6 traffic as we can not yet filter it.
- Patch to detect conflicts in antispoofing rules between ipsec
  interfaces in internal networks and external interfaces.
- Fix one bug with logging logic.
- Start SuSEfirewall2_setup after named. (#30789)
* Sat Sep 20 2003 - garloff@suse.de
- #27316: Fix determination of external interface in Personal-
  Firewall Mode.
* Tue Sep 02 2003 - mmj@suse.de
- Add sysconfig metadata [#28808]
* Thu Jul 31 2003 - kukuk@suse.de
- serial was renamed to setserial [Bug #28353]
* Mon Mar 24 2003 - garloff@suse.de
- Dec 30 change was too restrictive. Instead fix log messages.
  [bug #25453]
* Tue Mar 11 2003 - garloff@suse.de
- Fix for optional rate limiting (HTB) feature: In full mode, the
  qdisc_settings need to be redone after the last TOS settings.
  Contributed by Uwe Gansert.
* Mon Mar 10 2003 - garloff@suse.de
- Return 6 if no interface is specified. [bug #24438]
* Fri Feb 21 2003 - garloff@suse.de
- Put metadata also in personal-firewall sysconfig.
* Fri Feb 21 2003 - garloff@suse.de
- Change sysconfig metadata path to Network/Firewall/SuSEfirewall2
  [bug #23878]
- Integrate optional support for limiting the rate of outgoing
  packets. Contributed by Uwe Gansert.
* Thu Feb 06 2003 - garloff@suse.de
- Add Obsoletes & Provides: SuSEfirewall [#19561]
* Thu Jan 23 2003 - garloff@suse.de
- Add sysconfig metainfo. [#22586]
* Tue Jan 21 2003 - garloff@suse.de
- Path in comment in sysconfig file to custom rules was wrong.
  [bug #21651]
- Sort SuSEfirewall2_final to the end.
* Mon Dec 30 2002 - garloff@suse.de
- Fix reversed logic in evaluation on ALLOW_INCOMING_HIGHPORTS_TCP.
  Thanks to Gernot Hillier for analyzing and reporting.
* Wed Oct 30 2002 - garloff@suse.de
- Fix masquerading in quick mode/pfw compat mode.
- custom_before_port_handling back to old name (for compatibility),
  new custom_after_antospoofing() function instead.
* Mon Oct 21 2002 - draht@suse.de
- SuSEfirewall2-3.1.personal-firewall-compat.diff changed to remove
  error in testing for interfaces in REJECT_ALL_INCOMING_CONNECTIONS
* Tue Oct 15 2002 - garloff@suse.de
- When using FW_SERVICES_QUICK, the log messages could log packets
  which in the end are not dropped.
- Try to handle exotic protocols (Appletalk), #20414.
- Move custom_before_port_handling before we split the rulechains
  into input_XXX and forward_XXX and introduce custom_after_port
  _handling at old position.
* Sun Oct 06 2002 - garloff@suse.de
- Consolidate patches:
  * Integrate fixes for FW_SERVICES_QUICK in it
  * Integrate fixes for service_noext in it
  * DEV_IP parsing is obsolete because of fix-parse-bcast
- Restrict DHCP by specifying interface in INPUT chain rather than
  putting rules in input_XXX chains: Broadcasts did not get there.
- Fix spec file for SL 8.0.
* Thu Oct 03 2002 - garloff@suse.de
- Create input/forward rulechains before inserting special services
  on them. Mea maxima culpa.
  Fixes bug #20093.
- Shorten too long log prefix.
* Thu Oct 03 2002 - garloff@suse.de
- Explicitly require #!/bin/bash.
* Wed Oct 02 2002 - garloff@suse.de
- Fix iptables usage error for FW_SERVICE_QUICK_XXX.
* Wed Oct 02 2002 - garloff@suse.de
- Fix more parsing issues: Use read instead of awk (much faster)
  and handle interfaces without braodcast address. [Bug #20414]
* Wed Oct 02 2002 - garloff@suse.de
- Fix split of adress/netmasks for masqueraded nets. [Bug #20093]
* Sun Sep 15 2002 - draht@suse.de
- added missing -j option to iptables. Fix in
  SuSEfirewall2-3.1.correct-reject.diff
* Wed Sep 11 2002 - draht@suse.de
- bug in interface address parsing from ifconfig output (#19384)
* Sun Sep 08 2002 - kukuk@suse.de
- Add "Provides: personal-firewall" [Bug #19097]
* Thu Sep 05 2002 - garloff@suse.de
- Fix syntax error in pers-fw part.
* Thu Sep 05 2002 - garloff@suse.de
- Merge personal-firewall compatibility fixes from draht.
* Thu Sep 05 2002 - garloff@suse.de
- Allow DHClient in all networks even for "yes".
* Thu Sep 05 2002 - garloff@suse.de
- Fix bug #18336:
  * The switches FW_SERVICE_DNS, FW_SERVICE_DHCLIENT, FW_SERVICE_
  DHCPD, FW_SERVICE_SQUID and FW_SERVICE_SAMBA, as well as the
  magical FW_SERVICE_AUTODETECT have four possible values now.
  * no: not open (unchanged)
  * yes: open to internal networks (formerly: to all)
  * dmz: open to internal and DMZ networks (new)
  * ext: open to everywhere (new, corresponds to old yes)
* Thu Sep 05 2002 - garloff@suse.de
- Fix rcSuSEfirewall2 status report (it probes for reject_func
  rulechain now).
- Add optional FW_SERVICES_QUICK_ to make QUICK mode useful for
  many more people. Defaults to empty of course.
* Thu Sep 05 2002 - garloff@suse.de
- Unify spec file for older version of SL using %%if %%suse_version.
* Thu Sep 05 2002 - garloff@suse.de
- Added Obsoletes: personal-firewall (#18691)
- Update to 3.1:
  * Contains some of the previously applied fixes
  * Speedup by avoiding forks
  * Bugfix for accepting related and established connections
  * FW_FORWARD_MASQ bug: Demasquerading was too global and was
  overriding other rules for the same port.
* Mon Aug 19 2002 - garloff@suse.de
- Add filesystem PreReq: (#17776)
* Wed Aug 14 2002 - garloff@suse.de
- Reenable no-rmmod patch: Current kernels still can hang on rmmod
  of ipt modules.
- Remove some Should-Start comments from SuSEfirewall2_init, so it
  can be started earlier.
* Mon Aug 12 2002 - garloff@suse.de
- Don't refuse to run on 2.5 or 2.6 kernels.
* Mon Aug 12 2002 - garloff@suse.de
- Update to SuSEfirewall2-3.0:
  * FW_QUICKMODE, only needing FW_DEV_EXT and FW_MASQ_DEV
  to be configured, replacing SuSE's personal-firewall.
  * FW_REJECT option: Instead of dropping packets, we reject them.
  * FW_FORWARD fix for icmp types
  * Target IP address for FW_FORWARD_MASQ
  * Skip _final run if not needed (only needed if autoprotecting
  features are present)
  * Docu fixes
- Revert FW_STOP_KEEP_ROUTING_STATE="yes" default (2002-07-12)
  due to security concerns.
* Sun Aug 11 2002 - garloff@suse.de
- Don't add /var/log/firewall to syslog file automatically any more
  as it might cause problems at installation time. (#17421)
* Sat Aug 03 2002 - kukuk@suse.de
- Add PreRequires.
* Fri Jul 12 2002 - garloff@suse.de
- Set FW_STOP_KEEP_ROUTING_STATE="yes" by default. (bug #11785)
* Thu Jul 11 2002 - garloff@suse.de
- Make SQUID_PORT and DNS_PORT greps on lsof output handle the
  situation when the named/squid are bind to an IP address (#16350)
* Thu Jul 11 2002 - garloff@suse.de
- Adapt to new init info comments (X-UnitedLinux-Should-Start)
- Provide Short-Description
- Remove Dep-Only flag (bug #15650)
* Fri Mar 08 2002 - garloff@suse.de
- Some people don't like colons. (bug #14700)
  Remove them from initscripts. Compensation here ::::::
* Thu Mar 07 2002 - draht@suse.de,lnussel@suse.de
- cosmetic fixes in fillup template
  (SuSEfirewall2-2.1.cosmetics-in-fillup.diff)
  functionality enhancements to cooprtate with the y2 frontend,
  reflected in the changed
  SuSEfirewall2-2.1.syntax-for-y2-config.diff
* Mon Mar 04 2002 - draht@suse.de
- fixes for SuSEfirewall2 to cooperate with the y2 frontend.
  SuSEfirewall2-2.1.syntax-for-y2-config.diff
* Fri Mar 01 2002 - pthomas@suse.de
- Fix notification mail.
* Fri Jan 18 2002 - garloff@suse.de
- UNALLOWED -> UNAUTHORIZED (bug #12859)
* Mon Jan 14 2002 - garloff@suse.de
- Use LC_ALL to unset language specific support.
- Remove /etc/sysconfig/SuSEfirewall2 from %%file list.
* Fri Jan 11 2002 - garloff@suse.de
- Moved SuSEfirewall2 config files away from network to
  /etc/sysconfig resp. /etc/sysconfig/scripts/
- More docu fixes
- Init script fixes for new sysconfig (incl. dep. info)
* Fri Jan 11 2002 - garloff@suse.de
- Update to new runlevel and configuration scheme:
  * config files are /etc/sysconfig/network/SuSEfirewall2 and
  /etc/sysconfig/network/scripts/SuSEfitrewall2-custom now
  * Startup behaviour is controlled by the existence of rc?.d
  symlinks.
  * Old config files should be saved and moved
* Fri Jan 11 2002 - garloff@suse.de
- Update to SuSEfirewall-2.1:
  * Improved logging
  * FW_*_ALLOW_HIGH_PORT: related connections always allowed now,
  therefore INCOMING_HIGHPORTS_TCP="no" by default now.
  * '!' support for FW_REDIRECT
* Wed Nov 28 2001 - garloff@suse.de
- Update to SuSEfirewall2-2.0:
  * Typo which created probs for ADSL users fixed.
- Update to SuSEfirewall2-1.8:
  * Private network detection for FW_MASQ_NETS fixed
  * Better log output
* Thu Sep 20 2001 - draht@suse.de
- rmmod of ip_tables modules can cause rmmod (and the system
  startup) to hang. Removing modules is racey and should not be
  required. rmmod of legacy ipfwadm and ipchains modules is
  untouched.
* Wed Sep 19 2001 - draht@suse.de
- Added restart2 section into rc scripts to work around open
  packet filter rules during yast2-triggered rules reload.
* Tue Sep 04 2001 - garloff@suse.de
- Disabled automatic ip-up updating for the release of SuSE Linux
  7.3 (not needed, so avoid any risks).
* Tue Sep 04 2001 - garloff@suse.de
- Update to SuSEfirewall2-1.7:
  * Fixed a bug in FW_FORWARD_MASQ when target ports were ranges.
  * Fixed some bugs in the documentation.
  * When stopping SuSEfirewall2, all modules are now removed.
- bzip2 sources.
* Fri Aug 03 2001 - garloff@suse.de
- Update to SuSEfirewall-1.6:
  * Error checking for FW_MASQ_NETS.
  * Added an additional EXAMPLE with an ipsec setup and a FAQ
  section.
* Thu Jul 26 2001 - garloff@suse.de
- Update to SuSEfirewall2-1.5:
  * Already include most patches applied to 1.3
  * Fix firewall2.rc.config syntax to be YaST(2) compliant
  * Fix bug WRT timeout for first DNS lookup that triggered
  autodialing
  * SQUID udp ports support
  * Fix problem with error logging
- Provide automatic update for /etc/ppp/ip-up for SuSE Linux 7.2
  users and warn others.
* Tue Jul 17 2001 - garloff@suse.de
- rcSuSEfirewall2 symlink points to _setup now, as that one's
  capable of doing a start and a stop.
- Use rc.status functions
* Tue Jul 17 2001 - garloff@suse.de
- Use ispell to fix docus. Strip CR from LICENCE.
* Tue Jul 17 2001 - garloff@suse.de
- Initial creation of package SuSEfirewall2:
  * checkin version 1.3
  * create package description and specfile
- Some changes to the startup scripts:
  * LSB conformant comments
